Package org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Class EarliestCheckpointMapSnapshot

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.processors.cache.persistence.checkpoint.EarliestCheckpointMapSnapshot

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class EarliestCheckpointMapSnapshot
    extends IgniteDataTransferObject

Earliest checkpoint map snapshot. Speeds up construction of the earliestCp map in the `CheckpointHistory`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
`EarliestCheckpointMapSnapshot()` Default constructor.
`EarliestCheckpointMapSnapshot​(Set<UUID> checkpointIds, Map<UUID,​Map<Integer,​org.apache.ignite.internal.processors.cache.persistence.checkpoint.EarliestCheckpointMapSnapshot.GroupStateSnapshot>> earliestCp)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `checkpointWasPresent​(UUID checkpointId)` Returns `true` if a checkpoint was present during the snapshot capture, `false` otherwise.
`@Nullable Map<Integer,​CheckpointEntry.GroupState>` `groupState​(UUID checkpointId)` Gets a group state by a checkpoint id.
`protected void` `readExternalData​(byte protoVer, ObjectInput in)` Load object's specific data content.
`protected void` `writeExternalData​(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EarliestCheckpointMapSnapshot

    public EarliestCheckpointMapSnapshot​(Set<UUID> checkpointIds,
                                         Map<UUID,​Map<Integer,​org.apache.ignite.internal.processors.cache.persistence.checkpoint.EarliestCheckpointMapSnapshot.GroupStateSnapshot>> earliestCp)

Constructor.

#### EarliestCheckpointMapSnapshot

    public EarliestCheckpointMapSnapshot()

Default constructor.

### Method Detail

#### groupState

    @Nullable
    public @Nullable Map<Integer,​CheckpointEntry.GroupState> groupState​(UUID checkpointId)

Gets a group state by a checkpoint id.

Parameters:
  `checkpointId` - Checkpoint id.
Returns:
  Group state.

#### checkpointWasPresent

    public boolean checkpointWasPresent​(UUID checkpointId)

Returns `true` if a checkpoint was present during the snapshot capture, `false` otherwise.

Parameters:
  `checkpointId` - Checkpoint id.
Returns:
  `true` if checkpoint was present, `false` otherwise.

#### writeExternalData

    protected void writeExternalData​(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData​(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.